Difference between revisions of "Arch Roof/de"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "==Anwendung==")
(Updating to match new version of source page)
 
(29 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{GuiCommand/de|Name=Arch Roof|Name/de=Arch Roof|Workbenches=[[Arch Module/de|Arch]]|MenuLocation=Arch → Roof|Shortcut={{KEY|R}} {{KEY|F}}}}
+
<div class="mw-translate-fuzzy">
 +
{{docnav/de
 +
|[[Arch_Grid/de|Raster]]
 +
|[[Arch_Space/de|Raum]]
 +
|[[Arch_Module/de|Arch-Arbeitsbereich]]
 +
|IconL=Arch_Grid.svg
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_Space.svg
 +
}}
 +
</div>
 +
 
 +
<div class="mw-translate-fuzzy">
 +
{{GuiCommand/de
 +
|Name=Arch Roof|Name/de=Arch Roof
 +
|MenuLocation=Arch → Dach
 +
|Workbenches=[[Arch Module/de|Arch]]
 +
|Shortcut={{KEY|R}} {{KEY|F}}
 +
|SeeAlso=[[Arch Structure/de|Struktur]], [[Arch Wall/de|Wand]]
 +
}}
 +
</div>
  
 
==Beschreibung==
 
==Beschreibung==
  
Das Dach-Werkzeug erlaubt die Erstellung eines geneigten Daches aus einem ausgewählten Linienzug. Das erstellte Dach-Objekt ist parametrisch und behält seine Verbindung zum Basisobjekt. Bitte beachte, dass sich dieses Werkzeug noch in der Entwicklung befindet und bei sehr komplexen Formen fehlschlägt. Das Prinzip ist, dass jede Kante ein Dachprofil (Neigung, Breite, Überhang, Dicke,...) zugewiesen wird.
+
<div class="mw-translate-fuzzy">
 +
Das Dach-Werkzeug erlaubt die Erstellung eines geneigten Daches aus einem ausgewählten Linienzug. Das erstellte Dach-Objekt ist parametrisch und behält seine Verbindung zum Basisobjekt. Das Prinzip ist, dass jeder Kante ein Dachprofil (Neigung, Breite, Überhang, Dicke) zugewiesen wird.
 +
</div>
 +
 
 +
<div class="mw-translate-fuzzy">
 +
Dieses Werkzeug befindet sich noch in der Entwicklung und kann bei sehr komplexen Formen fehlschlagen.
 +
</div>
  
 
[[Image:RoofExample.png|600px]]
 
[[Image:RoofExample.png|600px]]
 +
{{Caption|Ansicht von oben auf das Dach eines Gebäudemodell mit einer gewissen Transparenz}}
  
 +
<div class="mw-translate-fuzzy">
 
==Anwendung==
 
==Anwendung==
 +
</div>
  
# Create a wire with following the counterclockwise direction and select it.
+
<div class="mw-translate-fuzzy">
 +
# Erstelle einen Linienzug entgegen dem Uhrzeigersinn und wähle ihn aus
 
#*[[Image:CounterclockwiseWire.png|600px]]
 
#*[[Image:CounterclockwiseWire.png|600px]]
# Press the {{KEY|[[Image:Arch Roof.png|16px]] [[Arch Roof]]}} button, or press {{KEY|R}} then {{KEY|F}} keys
+
# Drücke den {{Button|[[Image:Arch Roof.svg|16px]] [[Arch Roof/de|Dach]]}}-Button oder drücke {{KEY|R}}, dann {{KEY|F}}
# The default roof object could have a strange shape, it's because the tool have not all the needed informations.
+
# Das Standard-Dach-Objekt könnte eine seltsame Form haben, weil das Werkzeug nicht alle benötigten Informationen hat
# After creating the default roof, double click on the object in the tree view to access and edit all the properties. Angle must be between 0 and 90.
+
# Nach der Erstellung des Dach-Objekts doppelklicke auf das Objekt in der Baumansicht, um Zugang zu den Eigenschaften zu erhalten und sie zu ändern. Der Winkel muss zwischen 0 und 90 sein
 
#*[[File:RoofTable.png]]
 
#*[[File:RoofTable.png]]
# Each line correspond to a roof pane. So you can set properties you want for each roof pane.
+
# Jede Linie gehört zu einer Dach-Scheibe. Auf diese Weise können Eigenschaften für jede Dach-Scheibe einzeln gesetzt werden.
# To help you, you can set Angle or Run to 0 and defined a Relative Id, this make automatic calculs to find the data relative to the relative Id.
+
# Um Dir zu helfen, kannst Du Winkel (Angle) und ? (Run) auf 0 setzen und eine relative Id definieren, so dass eine automatische Berechnung die Daten relativ zu dieser Id ermittelt.
# It work like this :
+
# Es funktioniert folgendermaßen:
## If Angle = 0 and Run = 0 then profile is identical to the relative profile.
+
## Falls Winkel = 0 und Run = 0, dann ist das Profil identisch zum relativen Profil
## If Angle = 0 then angle is calculated so that the height is the same one as the relative profile.
+
## Falls Winkel = 0, dann wird der Winkel berechnet, so dass die Höhe die gleiche wie beim relativen Profil ist
## If Run = 0 then Run is calculated so that the height is the same one as the relative profile.
+
## Falls Run = 0, dann wird der Run berechnet, so dass die Höhe die gleiche wie beim relativen Profil ist
# At the end, set an angle to 90° to make a gable.
+
# Am Ende setze den Winkel auf 90°, um einen Giebel zu erstellen
 
#*[[Image:RoofProfil.png|600px]]
 
#*[[Image:RoofProfil.png|600px]]
# '''Also you can check this video''' : https://www.youtube.com/watch?v=4Urwru71dVk
+
# '''Es gibt auch ein Video''' : https://www.youtube.com/watch?v=4Urwru71dVk
 +
</div>
  
==Options==
+
==Optionen==
  
* Roofs share the common properties and behaviours of all [[Arch Component|Arch Components]]
+
* Dächer teilen die allgemeinen Eigenschaften und Verhaltensweisen aller [[Arch Component/de|Arch-Komponenten]]
  
==Properties==
+
==Eigenschaften==
  
* {{PropertyData|Angles}}: List of the slope angle of the roof pane (an angle for each edge in the wire).
+
* {{PropertyData/de|Angles}}: Liste der Neigungswinkel der Sparren (ein Winkel für jede Kante des Linienzuges).
* {{PropertyData|Runs}}: List of the width of the roof pane (a run for each edge in the wire).
+
* {{PropertyData/de|Runs}}: Liste der Breite der Dach-Scheiben (ein Run für jede Kante des Linienzuges).
* {{PropertyData|IdRel}}: List of relation Id The slope angle of the roof
+
* {{PropertyData/de|IdRel}}: Liste von Relation zwischen Winkel und Dachneigung
* {{PropertyData|Thickness}}: List of thickness of the roof pane. (a thickness for each edge in the wire).
+
* {{PropertyData/de|Thickness}}: Liste der Stärken der Dachsparren (eine Stärke pro Kante im Linienzug).
* {{PropertyData|Overhang}}: List of the overhang of the roof pane (an overhang for each edge in the wire).
+
* {{PropertyData/de|Overhang}}: Liste der Überhänge der Dachsparren (ein Überhang für jede Kante des Linienzuges).
* {{PropertyData|Face}}: The face index of the base object to be used #Not really used
+
* {{PropertyData/de|Face}}: The face index of the base object to be used # nicht wirklich benutzt
  
 +
<div class="mw-translate-fuzzy">
 
==Scripting==
 
==Scripting==
 +
{{Emphasis|Siehe auch:}} [[Arch API/de|Arch API]] und [[FreeCAD Scripting Basics/de|FreeCAD Scripting Basics]].
 +
</div>
  
The Roof tool can by used in [[macros]] and from the python console by using the following function:
+
<div class="mw-translate-fuzzy">
 +
Das Dach-Werkzeug kann in [[macros/de|Makros]] ebenso wie aus der [[Python/de|Python]]-Konsole heraus durch folgende Funktion angesprochen werden:
 +
</div>
 
{{Code|code=
 
{{Code|code=
makeRoof (baseobj,[facenr],[angles],[runs],[idrel],[thickness],[overhang],[name])
+
Roof = makeRoof(baseobj=None, facenr=0, angles=[45.,], run=[], idrel=[0,], thickness=[50.,], overhang=[100.,], name="Roof")
 
}}
 
}}
:Makes a roof based on a closed wire. You can provide a list of angles, run, idrel, thickness, overhang for each edges in the wire to define the roof shape. The default for angle is 45 and the list is automatically complete to match with number of edges in the wire.
 
  
Example:
+
* Erstellt ein {{incode|Roof}}-Objekt basierend auf dem vorgegebenen {{incode|baseobj}}, das ein geschlossener Linienzug oder ein Festkörper sein kann.
 +
** Falls {{incode|baseobj}} ein Linienzug ist, kannst Du eine Liste von {{incode|angles}} (Winkeln), {{incode|run}} (Auflage?), {{incode|idrel}}, {{incode|thickness}} (Stärke) und {{incode|overhang}} (Überhang) für jede Kante des Linienzuges vorgeben, um die Dachform zu definieren. Der Standardwert für Winkel ist 45 und die Liste wird automatisch komplettiert, so dass sie mit der Anzahl von Kanten übereinstimmt.
 +
** Die Listen werden automatisch komplettiert, damit die Anzahl mit der Anzahl der Kanten des Linienzuges übereinstimmt.
 +
 
 +
Beispiel:
 
{{Code|code=
 
{{Code|code=
import Arch, Draft
+
import FreeCAD, Arch, Draft
rect = Draft.makeRectangle(30,40)
+
 
Arch.makeRoof(rect,angles=[30.,])
+
Rect = Draft.makeRectangle(3000, 4000)
 +
Roof = Arch.makeRoof(Rect, angles=[30.,])
 +
FreeCAD.ActiveDocument.recompute()
 +
 
 +
p1 = FreeCAD.Vector(0, 0, 0)
 +
p2 = FreeCAD.Vector(1000, 1000, 0)
 +
p3 = FreeCAD.Vector(0, 2000, 0)
 +
Wire = Draft.makeWire([p1, p2, p3], closed=True)
 +
Roof2 = Arch.makeRoof(Wire)
 +
FreeCAD.ActiveDocument.recompute()
 
}}
 
}}
  
[[Category:Arch/de]]
+
<div class="mw-translate-fuzzy">
 +
{{docnav/de
 +
|[[Arch_Grid/de|Raster]]
 +
|[[Arch_Space/de|Raum]]
 +
|[[Arch_Module/de|Arch-Arbeitsbereich]]
 +
|IconL=Arch_Grid.svg
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_Space.svg
 +
}}
 +
</div>
 +
 
 +
{{Arch Tools navi{{#translation:}}}}
 +
 
 +
{{Userdocnavi{{#translation:}}}}

Latest revision as of 20:46, 20 February 2020

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська
Arrow-left.svg Arch Grid.svg Raster Vorherige:
Nächste: Raum Arch Space.svg Arrow-right.svg

Arch Roof.svg Arch Roof

Menüeintrag
Arch → Dach
Arbeitsbereich
Arch
Standardtastenkürzel
R F
In der Version eingeführt
-
Siehe auch
Struktur, Wand


Beschreibung

Das Dach-Werkzeug erlaubt die Erstellung eines geneigten Daches aus einem ausgewählten Linienzug. Das erstellte Dach-Objekt ist parametrisch und behält seine Verbindung zum Basisobjekt. Das Prinzip ist, dass jeder Kante ein Dachprofil (Neigung, Breite, Überhang, Dicke) zugewiesen wird.

Dieses Werkzeug befindet sich noch in der Entwicklung und kann bei sehr komplexen Formen fehlschlagen.

RoofExample.png

Ansicht von oben auf das Dach eines Gebäudemodell mit einer gewissen Transparenz


Anwendung

  1. Erstelle einen Linienzug entgegen dem Uhrzeigersinn und wähle ihn aus
    • CounterclockwiseWire.png
  2. Drücke den Arch Roof.svg Dach-Button oder drücke R, dann F
  3. Das Standard-Dach-Objekt könnte eine seltsame Form haben, weil das Werkzeug nicht alle benötigten Informationen hat
  4. Nach der Erstellung des Dach-Objekts doppelklicke auf das Objekt in der Baumansicht, um Zugang zu den Eigenschaften zu erhalten und sie zu ändern. Der Winkel muss zwischen 0 und 90 sein
    • RoofTable.png
  5. Jede Linie gehört zu einer Dach-Scheibe. Auf diese Weise können Eigenschaften für jede Dach-Scheibe einzeln gesetzt werden.
  6. Um Dir zu helfen, kannst Du Winkel (Angle) und ? (Run) auf 0 setzen und eine relative Id definieren, so dass eine automatische Berechnung die Daten relativ zu dieser Id ermittelt.
  7. Es funktioniert folgendermaßen:
    1. Falls Winkel = 0 und Run = 0, dann ist das Profil identisch zum relativen Profil
    2. Falls Winkel = 0, dann wird der Winkel berechnet, so dass die Höhe die gleiche wie beim relativen Profil ist
    3. Falls Run = 0, dann wird der Run berechnet, so dass die Höhe die gleiche wie beim relativen Profil ist
  8. Am Ende setze den Winkel auf 90°, um einen Giebel zu erstellen
    • RoofProfil.png
  9. Es gibt auch ein Video : https://www.youtube.com/watch?v=4Urwru71dVk

Optionen

  • Dächer teilen die allgemeinen Eigenschaften und Verhaltensweisen aller Arch-Komponenten

Eigenschaften

  • Daten-EigenschaftAngles: Liste der Neigungswinkel der Sparren (ein Winkel für jede Kante des Linienzuges).
  • Daten-EigenschaftRuns: Liste der Breite der Dach-Scheiben (ein Run für jede Kante des Linienzuges).
  • Daten-EigenschaftIdRel: Liste von Relation zwischen Winkel und Dachneigung
  • Daten-EigenschaftThickness: Liste der Stärken der Dachsparren (eine Stärke pro Kante im Linienzug).
  • Daten-EigenschaftOverhang: Liste der Überhänge der Dachsparren (ein Überhang für jede Kante des Linienzuges).
  • Daten-EigenschaftFace: The face index of the base object to be used # nicht wirklich benutzt

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Das Dach-Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Roof = makeRoof(baseobj=None, facenr=0, angles=[45.,], run=[], idrel=[0,], thickness=[50.,], overhang=[100.,], name="Roof")
  • Erstellt ein Roof-Objekt basierend auf dem vorgegebenen baseobj, das ein geschlossener Linienzug oder ein Festkörper sein kann.
    • Falls baseobj ein Linienzug ist, kannst Du eine Liste von angles (Winkeln), run (Auflage?), idrel, thickness (Stärke) und overhang (Überhang) für jede Kante des Linienzuges vorgeben, um die Dachform zu definieren. Der Standardwert für Winkel ist 45 und die Liste wird automatisch komplettiert, so dass sie mit der Anzahl von Kanten übereinstimmt.
    • Die Listen werden automatisch komplettiert, damit die Anzahl mit der Anzahl der Kanten des Linienzuges übereinstimmt.

Beispiel:

import FreeCAD, Arch, Draft

Rect = Draft.makeRectangle(3000, 4000)
Roof = Arch.makeRoof(Rect, angles=[30.,])
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(0, 2000, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)
Roof2 = Arch.makeRoof(Wire)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Grid.svg Raster Vorherige:
Nächste: Raum Arch Space.svg Arrow-right.svg